# Interface ToLongFunction<T>

Type Parameters:
  `T` - the type of the input to the function

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ToLongFunction<T>
Represents a function that produces a long-valued result. This is the `long`-producing primitive specialization for `Function`.

This is a functional interface whose functional method is `applyAsLong(Object)`.

Since:
  1.8
See Also:
  - `Function`

## Method Summary

Modifier and Type
Method
Description
`long`
`applyAsLong(T value)`
Applies this function to the given argument.

## Method Details

### applyAsLong

long applyAsLong(T value)
Applies this function to the given argument.

Parameters:
  `value` - the function argument
Returns:
  the function result